import { Component, ViewMount } from '@textbus/core';
import { DefineComponent, Ref, VNode } from 'vue';
import { DomAdapter } from '@textbus/platform-browser';
export interface ViewComponentProps<T extends Component> {
    component: T;
    rootRef: Ref<HTMLElement | undefined>;
}
export interface VueAdapterComponents {
    [key: string]: DefineComponent<ViewComponentProps<any>>;
}
export declare class VueAdapter extends DomAdapter<VNode, VNode> {
    private componentRefs;
    private components;
    constructor(components: VueAdapterComponents, mount: ViewMount<VNode, HTMLElement>);
    copy(): void;
}
